import { IGtfsRunTripCacheDto } from "#sch/vehicle-positions/redis/interfaces/IGtfsRunTripCacheDto";

export const gtfsRunSchedule1_3: IGtfsRunTripCacheDto = {
    schedule: [
        {
            trip_id: "1_10344_241125",
            service_id: "1111100-1",
            direction_id: 0,
            shape_id: "L1V7",
            run_number: 3,
            date: "2025-01-13",
            route_id: "L1",
            route_type: 0,
            route_short_name: "1",
            is_regional: "0",
            is_substitute_transport: "0",
            is_night: "0",
            trip_headsign: "Výstaviště",
            trip_short_name: null,
            block_id: null,
            exceptional: 1,
            min_stop_time: {
                hours: 4,
                minutes: 36,
            },
            max_stop_time: {
                hours: 5,
                minutes: 8,
            },
            first_stop_id: "U283Z1P",
            last_stop_id: "U532Z4P",
            origin_route_name: "1",
            trip_number: null,
            route_licence_number: 199001,
            start_timestamp: "2025-01-13T04:36:00+01:00",
            end_timestamp: "2025-01-13T05:08:00+01:00",
            requiredTurnaroundSeconds: 0,
        },
        {
            trip_id: "1_10345_241125",
            service_id: "1111100-1",
            direction_id: 1,
            shape_id: "L1V3",
            run_number: 3,
            date: "2025-01-13",
            route_id: "L1",
            route_type: 0,
            route_short_name: "1",
            is_regional: "0",
            is_substitute_transport: "0",
            is_night: "0",
            trip_headsign: "Sídliště Petřiny",
            trip_short_name: null,
            block_id: null,
            exceptional: 0,
            min_stop_time: {
                hours: 5,
                minutes: 17,
            },
            max_stop_time: {
                hours: 5,
                minutes: 47,
            },
            first_stop_id: "U532Z3P",
            last_stop_id: "U541Z2P",
            origin_route_name: "1",
            trip_number: null,
            route_licence_number: 199001,
            start_timestamp: "2025-01-13T05:17:00+01:00",
            end_timestamp: "2025-01-13T05:47:00+01:00",
            requiredTurnaroundSeconds: 30,
        },
    ],
};

export const gtfsRunSchedule10_10: IGtfsRunTripCacheDto = {
    schedule: [
        {
            trip_id: "10_5250_250106",
            service_id: "1111100-1",
            direction_id: 1,
            shape_id: "L10V1",
            run_number: 10,
            date: "2025-01-13",
            route_id: "L10",
            route_type: 0,
            route_short_name: "10",
            is_regional: "0",
            is_substitute_transport: "0",
            is_night: "0",
            trip_headsign: "Sídliště Řepy",
            trip_short_name: null,
            block_id: null,
            exceptional: 0,
            min_stop_time: {
                hours: 7,
                minutes: 5,
            },
            max_stop_time: {
                hours: 7,
                minutes: 13,
            },
            first_stop_id: "U865Z2P",
            last_stop_id: "U612Z2P",
            origin_route_name: "10",
            trip_number: null,
            route_licence_number: 199010,
            start_timestamp: "2025-01-13T07:05:00+01:00",
            end_timestamp: "2025-01-13T07:13:00+01:00",
            requiredTurnaroundSeconds: 0,
        },
        {
            trip_id: "10_13431_250106",
            service_id: "1111100-1",
            direction_id: 0,
            shape_id: "L10V2",
            run_number: 10,
            date: "2025-01-13",
            route_id: "L10",
            route_type: 0,
            route_short_name: "10",
            is_regional: "0",
            is_substitute_transport: "0",
            is_night: "0",
            trip_headsign: "Sídliště Ďáblice",
            trip_short_name: null,
            block_id: null,
            exceptional: 0,
            min_stop_time: {
                hours: 7,
                minutes: 24,
            },
            max_stop_time: {
                hours: 8,
                minutes: 32,
            },
            first_stop_id: "U612Z1P",
            last_stop_id: "U651Z2P",
            origin_route_name: "10",
            trip_number: null,
            route_licence_number: 199010,
            start_timestamp: "2025-01-13T07:24:00+01:00",
            end_timestamp: "2025-01-13T08:32:00+01:00",
            requiredTurnaroundSeconds: 30,
        },
    ],
};
